if ( app.documents.length > 0 ) {
    var
        mD = app.activeDocument,
        dS = mD.stories;
    if ( dS.length > 0 ) {
        var
            dS = dS.everyItem(),
            dWord = dS.words.length,
            dFword = dS.footnotes.everyItem().words.length,
            dTword = ( dS.tables.length > 0 ? dS.tables.everyItem().cells.everyItem().words.length : 0 ),
            dReport = [];
           
            dReport.push ( "Document text statistics:", "===================", "" );
            dReport.push ( "[Stories]", "------------------------------", "Words: " + dWord, "" );
            dReport.push ( "[Footnotes]", "------------------------------", "Words: " + dFword, "" );
            dReport.push ( "[Tables]", "------------------------------", "Words: " + dTword, "" );
            dReport.push ( "[TOTAL]", "===================", "Words: " + ( dWord + dFword + dTword ) );
           
            alert ( dReport.join ( "\r" ), "Document Text Statistics" );
    } else {
        alert ( "No stories found in the document!", "Document Text Statistic" );
    }
} else {
    alert ( "No opened document!", "Document Text Statistic" );
}